Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Class ParameterConverters.NumberListConverter

    java.lang.Object
      org.jbehave.core.steps.ParameterConverters.NumberListConverter

All Implemented Interfaces:
  ParameterConverters.ParameterConverter

Enclosing class:
  ParameterConverters

    public static class ParameterConverters.NumberListConverter

extends Object
implements ParameterConverters.ParameterConverter

Converts value to list of numbers. Splits value to a list, using an injectable value separator (defaulting to ",") and converts each element of list via the `ParameterConverters.NumberConverter`, using the `NumberFormat` provided (defaulting to `NumberFormat#getInstance(Locale.ENGLISH)` ).

Constructor Summary
`ParameterConverters.NumberListConverter()`
`ParameterConverters.NumberListConverter(NumberFormat numberFormat, String valueSeparator)`

Method Summary
`boolean` | `accept(Type type)`
`Object` | `convertValue(String value, Type type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterConverters.NumberListConverter

    public ParameterConverters.NumberListConverter()

### ParameterConverters.NumberListConverter

    public ParameterConverters.NumberListConverter(NumberFormat numberFormat,
                                                   String valueSeparator)

Parameters:
  `numberFormat` - Specific NumberFormat to use.
  `valueSeparator` - A regexp to use as list separate

Method Detail

### accept

    public boolean accept(Type type)

  Specified by:
    `accept` in interface `ParameterConverters.ParameterConverter`

### convertValue

    public Object convertValue(String value,
                               Type type)

  Specified by:
    `convertValue` in interface `ParameterConverters.ParameterConverter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.